/* >= 768px */
@media screen and (min-width: 768px) {
  :root {
    --font-size-h1: 9vw;
  }
}
/* >= 1024px */
@media screen and (min-width: 1024px) {
  :root {
    --font-size-h1: 5.2vw;
    --line-height-h1: 1.1;
    --font-size-h2: 4.15vw;
    --line-height-h2: 1.1;
    --font-size-h3: 3.125vw;
    --line-height-h3: 1.1;
    --space-intro-top: 200px;
    --space-md: 50px;
    --space-lg: 75px;
    --space-xl: 100px;
    --space-xxl: 150px;
    --space-xxxl: 200px;
    --header-logo-height: 100px;
  }
  #admin-toolbar {
    display: flex !important;
  }
  .node-edit-actions {
    display: block;
  }
  #sidebar {
    display: block;
    position: fixed;
    left: calc(100% - 55px);
    top: 50%;
    transform: translateY(-50%);
    z-index: 990;
    display: grid;
    grid-template-columns: auto 1fr;
  }
  #sidebar .button-wrapper.preview {
    writing-mode: vertical-lr;
    display: flex;
    justify-content: center;
    gap: 15px;
    position: relative;
    z-index: 1;
  }
  #sidebar .button-wrapper.preview .btn {
    padding: 25px 12px 25px 27px;
    transform: rotate(180deg);
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.3);
    background-color: var(--color-primary);
    color: var(--color-white);
    transition: left 0.3s ease;
    position: relative;
    left: 10px;
  }
  #sidebar .c-footer-contact--sidetab {
    background-color: var(--color-primary);
    padding: var(--space-md);
    position: relative;
    z-index: 10;
    transition: transform 0.5s ease, box-shadow 0.3s ease;
    white-space: nowrap;
    align-self: center;
    min-height: 100%;
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0);
  }
  #sidebar .c-footer-contact--sidetab .locations {
    margin-bottom: var(--space-md);
  }
  #sidebar .c-footer-contact--sidetab .locations .location {
    font-size: var(--font-size-small);
    line-height: var(--line-height-small);
    margin-bottom: var(--space-sm);
    color: var(--color-white);
  }
  #sidebar .c-footer-contact--sidetab .locations .location:last-of-type {
    margin-bottom: 0;
  }
  #sidebar .c-footer-contact--sidetab .locations .location .title {
    font-weight: 700;
  }
  #sidebar .c-footer-contact--sidetab .contact-data .phone a,
  #sidebar .c-footer-contact--sidetab .contact-data .mail a {
    font-weight: 700;
    font-size: var(--font-size-h5);
    line-height: var(--line-height-h5);
    color: var(--color-white);
  }
  #sidebar .c-footer-contact--sidetab .contact-data .button-wrapper {
    margin-top: var(--space-sm);
    display: flex;
  }
  #sidebar .c-footer-contact--sidetab .close {
    position: absolute;
    top: var(--space-sm);
    right: var(--space-sm);
    color: var(--color-white);
    display: block;
  }
  #sidebar.active .c-footer-contact--sidetab {
    transform: translateX(-100%);
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.3);
  }
}
@media (hover: hover) and (min-width: 1024px) {
  #sidebar .button-wrapper.preview .btn:hover {
    left: 0px;
  }
  #sidebar .c-footer-contact--sidetab .close:hover {
    color: var(--color-default);
  }
  #sidebar .c-footer-contact--sidetab .contact-data .phone a:hover,
  #sidebar .c-footer-contact--sidetab .contact-data .mail a:hover {
    color: var(--color-default);
  }
  #sidebar .c-footer-contact--sidetab .contact-data .button-wrapper .btn:hover {
    background-color: var(--color-white);
    color: var(--color-default);
  }
}
/* >= 1248px */
@media screen and (min-width: 1248px) {
  :root {
    --header-logo-height: 150px;
    --space-intro-top: 270px;
  }
}
